Description

Users can have multiple email addresses.

Sometimes it's hard to find users via admin->users, if there is huge number of users using Redmine, especially if they have multiple

e-mail addresses.

Filtering users by email and/or first/last name could be helpful,
probably by custom fields also.

Related issues:
Related to Redmine - Feature #37674: Upgrade Admin/Users list to use the quer...
Related to Redmine - Feature #37714: Show additional user email addresses on ...

Closed
New

History

#1 - 2020-01-21 12:16 - Go MAEDA
- File find-user-by-email@2x.png added

you can filter users by their email address or domain.

Users
Filters
Status: active (8) v Group: v User: jsmith@somenet.foo
Login First name Last name Email Administrator

jsmith John Smith jsmith@somenet.foo

07/20/2006 02:32 AM  07/20/1

1Y O Clear

Created Las

#2 - 2020-01-21 12:29 - Aleksandar Pavic

Yes, but it only displays default email address, not additional ones,
which makes it hard to find particular user if there is lots of users.

Also custom fields filtering is good for reports, or
filtering users by some other rule, like you want all customers from Paris,
if you have custom field City for a customer, etc...

Lot's of people use Redmine as ticketing system, and have customers using it,
so they need to help them from admin, etc...

#3 - 2022-04-17 13:19 - Alexandr Chernyaev

+1

#4 - 2022-09-20 07:43 - Mischa The Evil
- Related to Feature #37674: Upgrade Admin/Users list to use the query system added
#5 - 2022-09-26 23:24 - Mischa The Evil

- Related to Feature #37714: Show additional user email addresses on admin user list added

#6 - 2022-09-26 23:42 - Mischa The Evil
- Status changed from New to Closed

- Resolution set to Fixed

The ability to filter users by user attributes (first/last name, last login, admin flag, email addresses, etc.) and by user custom field(s) values, and the
ability to add the respective columns, on the admin user list is implemented via issue #37674 (Redmine 5.1.0).

For the issue with the additional user email addresses on the admin user list, I've opened a new, dedicated issue: #37714.
